LogoRecal
Rest apiEndpoints

Delete User

DELETE
/v1/users/{userId}

Delete a user

AuthorizationBearer <token>

Recal API token

In: header

Path Parameters

userId*string
Match^[A-Za-z0-9][A-Za-z0-9._-]{2,127}$

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/users/user_123"
{  "data": {    "createdAt": "2025-04-24T00:00:00.000Z",    "id": "user_123",    "oauthConnections": [      {        "alive": true,        "email": "user@example.com",        "expiresAt": "2019-08-24T14:15:22Z",        "provider": "google",        "scope": [          "string"        ],        "type": "string",        "accessToken": null,        "refreshToken": null      }    ],    "organizations": [      {        "createdAt": "2025-04-24T00:00:00.000Z",        "name": "Recal",        "slug": "recal",        "members": [          {            "createdAt": "2025-04-24T00:00:00.000Z",            "id": "user_123"          }        ]      }    ]  }}